Redmine - Defect #999

File size is shown as "?" when browsing an Hg repository
2008-04-04 16:23 - Ollivier Robert

Status: Closed Start date: 2008-04-04
Priority: High Due date:

Assignee: % Done: 0%
Category: SCM Estimated time: 0.00 hour
Target version:

Resolution: Fixed Affected version:

Description

File size is shown as "?" when browsing an Hg repository. See http://dev.keltia.net/repositories/show/calife for an example.

Associated revisions

Revision 1333 - 2008-04-06 14:22 - Jean-Philippe Lang

Mercurial: display working directory files sizes unless browsing a specific revision (#999).

History

#1 - 2008-04-04 19:17 - Jean-Philippe Lang

Actually it's not a bug, there's no way to get the size of the files that are under control (hg locate only gives the file names).
If you know a way to do it, please let me know.

#2 - 2008-04-04 21:27 - Thomas Lecavelier

Just to precise JP point: a way without having to keep up to date the whole hg repository somewhere ;)

#3 - 2008-04-04 22:14 - Ollivier Robert

What about using "hg locate -f" to get the full paths and File::Stat.size on each one?

#4 - 2008-04-05 00:19 - Jean-Philippe Lang

File::Stat.size won't give the file size at a given revision.

#5 - 2008-04-06 14:41 - Jean-Philippe Lang
- Status changed from New to Closed

- Resolution set to Fixed

Fix committed in r1333.
Files size will be displayed using File::Stat.size unless you're browsing a specific revision.

#6 - 2008-06-27 00:22 - Ollivier Robert
- File redmine-hg.png added

- Status changed from Closed to Reopened

It seems that some changes since the closing of the ticket have reintroduced the problem.

| can not give you access to that particular project/repository though. The weird thing is that for the repository | opened the ticket for, it still shows the
sizes but not in another one created afterwards.

See the attached image for an example.

#7 - 2008-06-27 00:50 - Jean-Philippe Lang
- Target version deleted (0.7)

#8 - 2008-06-27 10:07 - Pierre Paysant-Le Roux

Hi Olivier,
can you give us the differences between the working reporitory and the not one ? Are the two repositories tracked by the same instance of Redmine ?
See SubmittingBugs.
http://dev.keltia.net/repositories/show/calife
https://www.redmine.org/projects/redmine/repository/svn/revisions/1333
https://www.redmine.org/projects/redmine/wiki/SubmittingBugs

For the moment, | can't reproduce the bug you described.

Note, that Redmine can discover the size (and display correct values) of a file of a Mercurial repository only if the working directory of that repository
is up to date. If it's not the case, Redmine will display wrong file sizes or no size at all if the file doesn't exists in the working directory.

#9 - 2008-08-14 14:53 - Thomas Lecavelier

- Status changed from Reopened to Closed

No activity on that ticket for long. Reopen if needed.
